/* Layout */
import Layout from '@/layout'

export default {
  path: '/accountCenter',
  component: Layout,
  redirect: '/openInfoManage/index',
  meta: {
    title: '账户中心',
    icon: 'accountCenter'
  },
  children: [
    {
      path: '/openInfoManage/index',
      name: 'OpenInfoManage',
      component: () => import('@/views/accountCenter/openInfoManage/index'),
      meta: { title: '开户资料管理' },
      children: [
        {
          path: '/openInfoManage/openInfoManageDetails/:id',
          name: 'OpenInfoManageDetails',
          component: () =>
            import('@/views/accountCenter/openInfoManage/details'),
          hidden: true,
          meta: { title: '开户信息' }
        }
      ]
    },
    {
      path: '/cyAccountManage/index',
      name: 'CyAccountManage',
      component: () => import('@/views/accountCenter/cyAccountManage/index'),
      meta: { title: '长银账户管理', activeMenu: '/cyAccountManage/index' },
      children: [
        {
          path: '/cyAccountManage/accountAdd',
          name: 'CyAccountaccountAdd',
          component: () => import('@/views/accountCenter/cyAccountManage/accountAdd.vue'),
          hidden: true,
          meta: { title: '新增账户信息', activeMenu: '/cyAccountManage/index' }
        },
        {
          path: '/cyAccountManage/accountEdit',
          name: 'CyAccountaccountEdit',
          component: () => import('@/views/accountCenter/cyAccountManage/updateDefault.vue'),
          hidden: true,
          meta: { title: '修改账户信息', activeMenu: '/cyAccountManage/index' }
        },
        {
          path: '/cyAccountManage/accountSee',
          name: 'CyAccountaccountSee',
          component: () => import('@/views/accountCenter/cyAccountManage/updateDefault.vue'),
          hidden: true,
          meta: { title: '查看账户信息', activeMenu: '/cyAccountManage/index' }
        },
        {
          path: '/cyAccountManage/accountBind',
          name: 'CyAccountaccountBind',
          component: () => import('@/views/accountCenter/cyAccountManage/updateBind.vue'),
          hidden: true,
          meta: { title: '绑定实体账户信息', activeMenu: '/cyAccountManage/index' }
        },
        {
          path: '/cyAccountManage/accountDetails/:id',
          name: 'CyAccountaccountDetails',
          component: () =>
            import('@/views/accountCenter/cyAccountManage/accountDetails.vue'),
          hidden: true,
          meta: { title: '查看账号信息', activeMenu: '/cyAccountManage/index' }
        },
        {
          path: '/cyAccountManage/physicalAccount/:id',
          name: 'CyAccountPhysicalAccount',
          component: () =>
            import('@/views/accountCenter/cyAccountManage/physicalAccount.vue'),
          hidden: true,
          meta: { title: '长银账号信息' }
        },
        {
          path: '/cyAccountManage/billFlowingWater/:id',
          name: 'CyAccountBillFlowingWater',
          component: () =>
            import('@/views/accountCenter/cyAccountManage/billFlowingWater.vue'),
          hidden: true,
          meta: { title: '账单流水' }
        }
      ]
    }
  ]
}
