/* Layout */
import Layout from '@/layout'

export default {
  path: '/myBusiness',
  component: Layout,
  redirect: '/myBusiness/index',
  meta: {
    title: '我的企业',
    icon: 'myBusiness'
  },
  children: [{
    path: '/myBusiness/index',
    name: 'MyBusiness',
    component: () => import('@/views/myBusiness/index'),
    meta: { title: '', icon: 'myBusiness', activeMenu: '/myBusiness' },
    hidden: true,
    children: [
      {
        path: '/myBusiness/supplierEnterprise/:id',
        name: 'SupplierEnterprise',
        component: () => import('@/views/myBusiness/supplierEnterprise/index'),
        hidden: true,
        meta: { title: '供应商企业信息', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/guaranteeEnterprise/:id',
        name: 'GuaranteeEnterprise',
        component: () => import('@/views/myBusiness/guaranteeEnterprise/index'),
        hidden: true,
        meta: { title: '担保企业信息', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/supplementaryInfo/:id',
        name: 'MyBusinessSupplementaryInfo',
        component: () => import('@/views/myBusiness/supplementaryInfo/index'),
        hidden: true,
        meta: { title: '补充信息', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/supplementaryInfoSee/:id',
        name: 'MyBusinessSupplementaryInfoSee',
        component: () => import('@/views/myBusiness/supplementaryInfo/index'),
        hidden: true,
        meta: { title: '供应商企业信息', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/projectInfo/:id',
        name: 'MyBusinessProjectInfo',
        component: () => import('@/views/myBusiness/projectInfo/index'),
        hidden: true,
        meta: { title: '项目信息', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/projectSupplement/:id',
        name: 'MyBusinessProjectSupplement',
        component: () => import('@/views/myBusiness/projectSupplement/index'),
        hidden: true,
        meta: { title: '项目补充信息', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/projectView/:id',
        name: 'MyBusinessProjectView',
        component: () => import('@/views/myBusiness/admittanceDetail/projectDetail'),
        hidden: true,
        meta: { title: '项目信息查看', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/offlineDueDiligence/:id',
        name: 'MyBusinessOfflineDueDiligence',
        component: () => import('@/views/myBusiness/offlineDueDiligence/index'),
        hidden: true,
        meta: { title: '尽调预约', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/videoDueDiligence/:id',
        name: 'MyBusinessVideoDueDiligence',
        component: () => import('@/views/myBusiness/videoDueDiligence/index'),
        hidden: true,
        meta: { title: '视频尽调预约', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/admittanceDetail/:id',
        name: 'MyBusinessAdmittanceDetail',
        component: () => import('@/views/myBusiness/admittanceDetail/index'),
        hidden: true,
        meta: { title: '准入详情', activeMenu: '/myBusiness' }
      },
      {
        path: '/myBusiness/error/:id',
        name: 'MyBusinessError',
        component: () => import('@/views/myBusiness/error'),
        hidden: true,
        meta: { title: '结果', activeMenu: '/myBusiness' }
      }
    ]
  }]
}
