/* Layout */
import Layout from '@/layout'

export default {
  path: '/myFinancing',
  component: Layout,
  redirect: '/myFinancing/index',
  meta: {
    title: '我的项目', // 我的融资
    icon: 'myFinancing'
  },
  children: [{
    path: '/myFinancing/index',
    name: 'MyFinancing',
    component: () => import('@/views/myFinancing/index'),
    hidden: true,
    meta: {
      title: '我的项目', // 我的融资
      icon: 'myFinancing',
      breadcrumb: false,
      activeMenu: '/myFinancing'
    },
    children: [
      {
        path: '/myFinancing/applyFinancing/:id',
        name: 'ApplyFinancing',
        component: () => import('@/views/myFinancing/applyFinancing/index'),
        hidden: true,
        meta: { title: '申请融资', activeMenu: '/myFinancing' }
      },
      {
        path: '/myFinancing/repaymentPlay/:id',
        name: 'RepaymentPlay',
        component: () => import('@/views/myFinancing/repaymentPlay/index'),
        hidden: true,
        meta: { title: '还款计划', activeMenu: '/myFinancing' }
      },
      {
        path: '/myFinancing/contractSign/:id',
        name: 'myFinancingContractSign',
        component: () => import('@/views/myFinancing/contractSign'),
        hidden: true,
        meta: { title: '合同签署', activeMenu: '/myFinancing' }
      },
      {
        path: '/myFinancing/see/:id',
        name: 'MyFinancingSee',
        component: () => import('@/views/myFinancing/see'),
        hidden: true,
        meta: { title: '查看', activeMenu: '/myFinancing' }
      }
    ]
  }]
}
