/* Layout */
import Layout from '@/layout'

export default {
  path: '/myTrade',
  component: Layout,
  redirect: '/myTrade/index',
  meta: {
    title: '我的贸易',
    icon: 'myTrade'
  },
  children: [
    {
      path: '/myTrade/index',
      name: 'MyTrade',
      component: () => import('@/views/myTrade/index'),
      meta: { title: '', icon: 'myTrade', activeMenu: '/myTrade' },
      hidden: true,
      children: [
        {
          path: '/myTrade/biddingManagement/createBidding/:id',
          name: 'MyTradeBiddingManagementCreateBidding',
          component: () => import('@/views/myTrade/biddingManagement/createBidding'),
          hidden: true,
          meta: { title: '招标项目', icon: 'dashboard' }
        },
        {
          path: '/myTrade/biddingManagement/viewBidding/:id',
          name: 'MyTradeBiddingManagementBiddingView',
          component: () => import('@/views/myTrade/biddingManagement/see'),
          hidden: true,
          meta: { title: '招标项目查看', icon: 'dashboard' }
        },
        {
          path: '/myTrade/salesContractManagement/createSalesContract/:id',
          name: 'SalesContractManagementCreateSalesContract',
          component: () => import('@/views/myTrade/salesContractManagement/createSalesContract'),
          meta: { title: '创建销售合同', icon: 'tree' },
          hidden: true
        },
        {
          path: '/myTrade/salesContractManagement/salesContractAdd/:id',
          name: 'SalesContractManagementSalesContractAdd',
          component: () => import('@/views/myTrade/salesContractManagement/salesContractAdd'),
          meta: { title: '销售合同录入', icon: 'tree' },
          hidden: true
        },
        {
          path: '/myTrade/salesContractManagement/changeCreateSalesContract/:id',
          name: 'SalesContractManagementChangecreateSalesContract',
          component: () => import('@/views/myTrade/salesContractManagement/changeCreateSalesContract'),
          meta: { title: '变更创建销售合同', icon: 'tree' },
          hidden: true
        },
        {
          path: '/myTrade/salesContractManagement/changeSalesContractAdd/:id',
          name: 'SalesContractManagementChangeSalesContractAdd',
          component: () => import('@/views/myTrade/salesContractManagement/changeSalesContractAdd'),
          meta: { title: '变更销售合同录入', icon: 'tree' },
          hidden: true
        },
        {
          path: '/myTrade/salesContractManagement/signConfirmation/:id',
          name: 'SalesContractManagementSignConfirmation',
          component: () => import('@/views/myTrade/salesContractManagement/signConfirmation'),
          meta: { title: '签署确认', icon: 'tree' },
          hidden: true
        },
        {
          path: '/myTrade/salesContractManagement/see/:id',
          name: 'SalesContractManagementSee',
          component: () => import('@/views/myTrade/salesContractManagement/see'),
          meta: { title: '销售合同查看', icon: 'tree' },
          hidden: true
        },
        {
          path: '/purchaseContractManagement/PurchaseContractAdd/:id',
          name: 'PurchaseContractAdd',
          component: () => import('@/views/myTrade/purchaseContractManagement/purchaseContractAdd'),
          meta: { title: '创建采购合同', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/purchaseContractManagement/PurchaseContractSign/:id',
          name: 'PurchaseContractSign',
          component: () => import('@/views/myTrade/purchaseContractManagement/purchaseContractSign'),
          meta: { title: '签署确认', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/purchaseContractManagement/PurchaseContractChange/:id',
          name: 'PurchaseContractChange',
          component: () => import('@/views/myTrade/purchaseContractManagement/purchaseContractUpdate'),
          meta: { title: '采购合同变更', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/purchaseContractManagement/PurchaseContractDetail/:id',
          name: 'PurchaseContractDetail',
          component: () => import('@/views/myTrade/purchaseContractManagement/detail'),
          meta: { title: '采购合同详情', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        // {
        //   path: '/underlyingManagement',
        //   name: 'UnderlyingManagement',
        //   component: () => import('@/views/myTrade/underlyingManagement/index'),
        //   meta: { title: '验收单管理', icon: 'tree' },
        //   hidden: true
        // },
        {
          path: '/acceptanceFormAdd/:id',
          name: 'AcceptanceFormAdd',
          component: () => import('@/views/myTrade/acceptanceManagement/acceptanceAdd'),
          meta: { title: '新建验收单', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/acceptanceFormView/:id',
          name: 'AcceptanceFormView',
          component: () => import('@/views/myTrade/acceptanceManagement/acceptanceView'),
          meta: { title: '验收单查看', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/acceptanceFormViewTemp/:id',
          name: 'AcceptanceFormViewTemp',
          component: () => import('@/views/myTrade/acceptanceManagement/acceptanceViewTemp'),
          meta: { title: '验收单查看', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/acceptanceSign/:id',
          name: 'AcceptanceSign',
          component: () => import('@/views/myTrade/acceptanceManagement/acceptanceSign'),
          meta: { title: '签署确认', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/changePrice/:id',
          name: 'ChangePrice',
          component: () => import('@/views/myTrade/acceptanceManagement/changePrice'),
          meta: { title: '验收单单价调整', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: 'settlementDocumentManagement',
          name: 'SettlementDocumentManagement',
          component: () => import('@/views/myTrade/settlementDocumentManagement/index'),
          meta: { title: '结算单管理', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/addSettlement/:id',
          name: 'AddSettlement',
          component: () => import('@/views/myTrade/settlementDocumentManagement/add'),
          meta: { title: '新建结算单', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/settlementDetail/:id',
          name: 'SettlementDetail',
          component: () => import('@/views/myTrade/settlementDocumentManagement/detail'),
          meta: { title: '查看', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        // {
        //   path: '/addSettlement',
        //   name: 'AddSettlement',
        //   component: () => import('@/views/myTrade/settlementDocumentManagement/add'),
        //   meta: { title: '结算单管理> 新建结算单', icon: 'tree' },
        //   hidden: true
        // },
        {
          path: '/signSettlement/:id',
          name: 'SignSettlement',
          component: () => import('@/views/myTrade/settlementDocumentManagement/signSettlement'),
          meta: { title: '结算单签署', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        },
        {
          path: '/editSettlement/:id',
          name: 'EditSettlement',
          component: () => import('@/views/myTrade/settlementDocumentManagement/editPrice'),
          meta: { title: '单价调整', icon: 'tree', activeMenu: '/myTrade' },
          hidden: true
        }
      ]
    }
  ]
}
