import { formatMoney } from '@/utils/index'
export default {
  data() {
    return {
      total: 0,
      loading: false,
      columns: [
        // {
        //   label: '序号',
        //   index: true
        // },
        {
          label: '客户名称',
          prop: 'customerName',
          showTooltip: true
        },
        {
          label: '客户号',
          showTooltip: true,
          prop: 'customerNumber'
        },
        {
          label: '客户状态',
          prop: 'customerStatus',
          showTooltip: true
        },
        {
          label: '客户类别',
          prop: 'customerType',
          showTooltip: true,
          render: (h, row) => {
            return (<span>{row.customerType === 0 ? '企业' : row.customerType === 1 ? '个人工商户' : '个人'} </span>)
          }
        },
        {
          label: '阶段',
          prop: 'stage',
          showTooltip: true
        },
        {
          label: '退回原因',
          prop: 'reason',
          showTooltip: true
        },
        {
          label: '核验状态',
          prop: 'verificationStatus',
          showTooltip: true
        },
        {
          label: '创建时间',
          prop: 'gmtCreate',
          showTooltip: true
        },
        {
          label: '操作',
          show: true,
          render: (h, row) => {
            const btnList = [
              {
                msg: '查看',
                icon: 'iconfont icon-orange icon-a-Group957',
                power: '',
                category: 'see'
              },
              {
                msg: '编辑',
                icon: 'iconfont icon-orange icon-a-Group8151',
                power: '',
                category: 'edit',
                rowPower: ['暂存', '审批退回']
              }
            ]
            const options = btnList.map(item => {
              return (
                this.tablePower({ item, row }) &&
                <el-tooltip class='item' effect='dark' content={item.msg} placement='top' >
                  <span class='table-icon-box'>
                    <i style={item.style} class={item.icon} onClick={() => { this.handlerOperate(item.category, row) }}></i>
                  </span>
                </el-tooltip>
              )
            })
            return <div>{ options }</div>
          },
          width: 140
        }
      ]
    }
  },
  computed: {
    tablePower() {
      return ({ item, row }) => {
        const { rowPower } = item
        if (rowPower) {
          if (rowPower.includes(row.stage)) {
            return true
          }
        } else {
          return true
        }
      }
    }
  },
  methods: {
    handlerOperate(type, row) {
      this.$router.push({
        name: 'OpenInfoManageDetails',
        params: { id: row.id },
        query: {
          type
        }
      })
    }
  }
}
