export default {
  data() {
    return {
      total: 20,
      loading: false,
      tableData: [
        { userName: '1111', statusName: '模板审核' },
        { userName: '1111', statusName: '保证方式确认' },
        { userName: '1111', statusName: '保证金收款确认' },
        { userName: '1111', statusName: '中标确认' },
        { userName: '1111', statusName: '保证金退款确认' },
        { userName: '1111', statusName: '发起招标' }
      ],
      tableOptions: {
        sortTable: true,
        maxHeight: 'calc(100vh - 260px)',
        height: 'calc(100vh - 260px)'
      },
      columns: [
        {
          label: '编号',
          index: true
        },
        {
          label: '回款日期',
          prop: 'repaymentDate',
          showTooltip: true,
          width: 120
        },
        {
          label: '回款金额',
          showTooltip: true,
          prop: 'repaymentAmount',
          width: 120,
          showTooltip: true
        },
        {
          label: '操作',
          render: (h, row) => {
            const btnList = [
              { msg: '单价调整', icon: 'iconfont icon-Unionnv', power: 'projectNumber:delete', category: 'updatePrice' },
              { msg: '编辑', icon: 'iconfont icon-Union-1', power: 'projectNumber:delete', category: 'edit' },
              { msg: '查看', icon: 'iconfont icon-Vector-2', power: 'projectNumber:delete', category: 'see' }
            ]
            const options = btnList.map(item => {
              return (
                <el-tooltip class='item' effect='dark' content={item.msg} placement='top' >
                  <span class='table-icon-box'>
                    <i class={item.icon} onClick={() => { this.handlerOperate(item.category, row) }}></i>
                  </span>
                </el-tooltip>
              )
            })
            return <div>{ options }</div>
          },
          width: 120
        }
      ]
    }
  }

}
